View Issue Details

IDProjectCategoryView StatusLast Update
0009626mantisbtfeaturepublic2019-12-13 18:06
Reporteramdei Assigned Todregad  
PrioritynormalSeveritytrivialReproducibilityN/A
Status closedResolutionno change required 
Product Version1.0.8 
Summary0009626: Include modifyer login to email notification.
Description

If I make to many modification in many bygs by myself, a receive a lot of email notification.
I wish to have the abbility to filter it in email client, but only notifications about modifications performed by me.
The best way to do it - is filtering by some custom header in message header.
Other ways (like parsing message body) not so useful.

Additional Information

Please find pach attached.
It's introdused the custom headef 'MNBT_ModifiedBy:' while sending email notification with modifyer login name as a value.

May be it could be realised better, but it working. :-)

Tagsemail, notes, patch, usability

Activities

2008-09-11 04:50

 

siebrand

siebrand

2008-09-11 05:05

developer   ~0019381

Last edited: 2008-09-11 05:05

The current version of Mantis is 1.1.2. To get your feature into Mantis quickly, please deliver a patch for the most recent version, or a patch to HEAD. Otherwise you need to wait for a developer willing to apply a patch to an old version and sort out the differences.

amdei

amdei

2008-09-11 06:46

reporter   ~0019383

Sure, this pach for file /core/email_api.php only.
And this pach can also be applied to Mantis 1.1.2.
I have checked it just now.
Thanks.

dregad

dregad

2019-12-03 07:09

developer   ~0063170

By default, MantisBT does not send notifications to users for their own actions.

This can be configured with $g_email_receive_own

I don't see the benefit of adding such custom header in core.

Issue History

Date Modified Username Field Change
2008-09-11 04:50 amdei New Issue
2008-09-11 04:50 amdei File Added: email_notify_mydifyed_by.pach
2008-09-11 05:05 siebrand Note Added: 0019381
2008-09-11 05:05 siebrand Status new => feedback
2008-09-11 05:05 siebrand Note Edited: 0019381
2008-09-11 06:44 amdei Tag Attached: email
2008-09-11 06:44 amdei Tag Attached: issuedata
2008-09-11 06:44 amdei Tag Attached: notes
2008-09-11 06:45 amdei Tag Attached: patch
2008-09-11 06:45 amdei Tag Attached: usability
2008-09-11 06:46 amdei Note Added: 0019383
2016-07-21 15:33 atrol Tag Detached: issuedata
2019-12-03 07:09 dregad Assigned To => dregad
2019-12-03 07:09 dregad Status feedback => resolved
2019-12-03 07:09 dregad Resolution open => no change required
2019-12-03 07:09 dregad Note Added: 0063170
2019-12-13 18:06 atrol Status resolved => closed